Download it now!
Bug 123386 - FILEOPEN DOCX OR table formula is not working in LO
Summary: FILEOPEN DOCX OR table formula is not working in LO
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0 target:7.0.2
Keywords:
Depends on:
Blocks: DOCX-Fields Regressions-expression-is-faulty
  Show dependency treegraph
 
Reported: 2019-02-12 07:54 UTC by NISZ LibreOffice Team
Modified: 2020-11-09 16:11 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the original document side by side in Word and Writer. (279.37 KB, image/png)
2019-02-12 07:54 UTC, NISZ LibreOffice Team
Details
Document with OR table formulas. (20.27 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-02-12 07:55 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2019-02-12 07:54:16 UTC
Description:
OR table formula has Expression is faulty when opened in LO.

Steps to Reproduce:
    1. Create a new docx in Word.
    2. Insert a Table.
    3. Insert OR() formula to some of the cells.
    4. Save and open it in LO.

Actual Results:
The cells which had and OR formula now have ** Expression is faulty ** instead of what was in them in Word.

Expected Results:
All the cells should have the same data in them.


Reproducible: Always


User Profile Reset: No



Additional Info:
LibreOffice details: Version: 6.3.0.0.alpha0+
Build ID: cec7ae9f3c69ecc83462f28fc4987e37dc1b420e
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: threaded
Comment 1 NISZ LibreOffice Team 2019-02-12 07:54:44 UTC
Created attachment 149190 [details]
Screenshot of the original document side by side in Word and Writer.
Comment 2 NISZ LibreOffice Team 2019-02-12 07:55:01 UTC
Created attachment 149191 [details]
Document with OR table formulas.
Comment 3 Xisco Faulí 2019-02-12 10:44:52 UTC
Formulas:

debug:8228:8228: =OR(3=4;5=5)
debug:8228:8228: =OR(A1=B1;A1<B1)
Comment 4 Michael Warner 2020-08-02 13:25:09 UTC
I've submitted a patch for this one. It's just waiting for review:
https://gerrit.libreoffice.org/c/core/+/98614
Comment 5 Regina Henschel 2020-08-02 13:57:14 UTC
@Michael Warner: I'm sorry, that you have got no response yet.
Please write a mail to the developer mailing list libreoffice@lists.freedesktop.org and ask for review there.
Comment 6 Commit Notification 2020-08-17 09:16:19 UTC
Michael Warner committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/68e74bdf63e992666016c790e8e4cfd5b28d6abe

tdf133647 tdf123386 tdf123389 Improved .docx table formula import

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-08-17 21:31:03 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/82189fdc93ac337e1de3379d678eca6b7654e6fc

tdf133647 tdf123386 tdf123389 fix DOCX table formula export

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2020-08-31 17:33:08 UTC
Michael Warner committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/a8dbdf4c41d0299aee6e155323f217e2fa1565c9

tdf133647 tdf123386 tdf123389 Improved .docx table formula import

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2020-09-02 13:51:41 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/8f1cb34bdb523e17478de2b0ef7d745c29743df7

tdf133647 tdf123386 tdf123389 fix DOCX table formula export

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 NISZ LibreOffice Team 2020-09-08 10:49:37 UTC
Verified in:

Version: 7.1.0.0.alpha0+ (x64)
Build ID: a3b4831208da615789bd1e2d5660dd130807f504
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded